package ob.nlp;

import java.util.HashSet;
import java.util.Set;

public class English {
	private static Set<String> _contractions = new HashSet<String>();
	static {
		_contractions.add("'d");
		_contractions.add("'ll");
		_contractions.add("'m");
		_contractions.add("n't");
		_contractions.add("'re");
		_contractions.add("'s");
		_contractions.add("'ve");		
	}
	
	private static Set<String> _punctuation = new HashSet<String>();
	static {
		_punctuation.add(".");
		_punctuation.add(",");
		_punctuation.add("!");
		_punctuation.add("?");
		_punctuation.add(";");
		_punctuation.add(":");
		_punctuation.add("-");
	}
	
	private static Set<String> _sentenceEndPunctuation = new HashSet<String>();
	static {
		_sentenceEndPunctuation.add(".");
		_sentenceEndPunctuation.add("!");
		_sentenceEndPunctuation.add("?");
	}
	
	public static boolean isContraction(String word) {
		return _contractions.contains(word);
	}

	public static boolean isPunctuation(String word) {
		return _punctuation.contains(word);
	}

	public static boolean isSentenceEndWord(String word) {
		return _sentenceEndPunctuation.contains(word);
	}

}
