package ob.nlp;

import ob.core.Feature;
import ob.core.NumericFeature;

public class WordFeature extends NumericFeature {

	private Word _word;
	
	
	public WordFeature(String name, Word word) {
		super(name);
		_word = word;
	}

	public Word getWord() {
		return _word;
	}

	@Override
	protected boolean featureEquals(Feature other) {
		if (other instanceof WordFeature) {
			return _word.equals(((WordFeature)other).getWord());
		}
		return false;
	}

}
