package ob.nlp;

import java.util.Collection;

import ob.core.FeatureVector;


public interface WordScores {

	Double getScore(Word word);
	Collection<Word> getWords();
	
	void increment(Word word, Double increment);
	void set(Word word, Double score);
	
	FeatureVector getVector();
	int size();
}
