package ob.nlp.morphology;

import java.util.Collection;

public interface Morphology {

	String lemmatize(String word);
	
	Collection<String> getVerbTenses();
	Collection<String> getPersons();

	String conjugate(String lemma, String tense, String person);

	String pluralize(String lemma, int number);
}
