package ob.core;

/**
 * @author Or Biran
 *
 * A Feature is a label for a dimension of a feature vector. In addition to being a key, 
 * the feature defines the type of the value. 
 */
public interface Feature {

	String getName();
	FeatureType getType();
	boolean isNominal();
}
