package ob.core;

/**
 * @author Or Biran
 *
 * A feature with numeric values.
 */
public class NumericFeature extends AbstractFeature {

	public NumericFeature(String name) {
		super(name);
	}

	@Override
	public FeatureType getType() {
		return FeatureType.NUMERIC;
	}

	@Override
	protected boolean featureEquals(Feature other) {
		return other instanceof NumericFeature;
	}

	@Override
	public boolean isNominal() {
		return false;
	}

}
