package ob.core;

/**
 * @author Or Biran
 *
 * A numeric value.
 */
public class NumericValue extends AbstractValue {

	public NumericValue(Double value) {
		super(value);
	}

	@Override
	public Double getNumber() {
		return (Double)getValue();
	}

	@Override
	public String getString() {
		throw new UnsupportedOperationException("Cannot get string from numeric value");
	}

}
