package ob.core;

/**
 * @author Or Biran
 *
 * A string value.
 */
public class StringValue extends AbstractValue {

	public StringValue(String string) {
		super(string);
	}

	@Override
	public Double getNumber() {
		throw new UnsupportedOperationException("Cannot get number from string value");
	}

	@Override
	public String getString() {
		return (String)getValue();
	}
	
}
