package ob.nlp;

import java.util.Collection;

public interface WordSimilarity {

	void set(Word word1, Word word2, Double value);
	Double get(Word word1, Word word2);

	Collection<Similarity> getSimilarities();
	Collection<Word> getFirstWords();
	Collection<Word> getSecondWords(Word firstWord);

	
	interface Similarity {
		Word getWord1();
		Word getWord2();
		Double getValue();
	}


	void consolidate(WordSimilarity otherSimilarity);
	int size();

}
